/*
 * Copyright (C) 2003 Antonio Larrosa Jimnez <larrosa@kde.org>
 */

#include "thetinterview.h"

#include <qlayout.h>

#include <kurl.h>

TheTinterView::TheTinterView(QWidget *parent)
    : QWidget(parent),
      DCOPObject("TheTinterIface")
{
    // setup our layout manager to automatically add our widgets
    QHBoxLayout *top_layout = new QHBoxLayout(this);
    top_layout->setAutoAdd(true);

}

TheTinterView::~TheTinterView()
{
}

QString TheTinterView::currentURL()
{
//   return m_html->url().url();
}

void TheTinterView::openURL(QString url)
{
    openURL(KURL(url));
}

void TheTinterView::openURL(const KURL& url)
{
//    m_html->openURL(url);
}

#include "thetinterview.moc"
